%define name unixODBC
%define version 1.8.7
%define release 1mdk

Name: %{name}
Summary: Unix ODBC driver manager and database drivers
Summary: Driver ODBC unix
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Patch: %{name}-make.patch.bz2
Group: Databases
Copyright: LGPL
URL: http://www.unixODBC.org
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildPreReq: bison, flex
Provides: libodbc.so, libodbcinst.so
Prefix: %{_prefix}

%description
UnixODBC is a free/open and solution for ODBC. ODBC is an open
specifican for providing application developers with a predictable API
with which to access Data Sources. Data Sources include SQL Servers and
any Data Source with an ODBC Driver.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} --sysconfdir=/etc --disable-gui
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
make install prefix=$RPM_BUILD_ROOT/%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc
olddir=`pwd`
cd $RPM_BUILD_DIR/%{name}-%{version}
docdir="$RPM_BUILD_ROOT/usr/doc/%{name}-%{version}"
mkdir -p $docdir
cp AUTHORS COPYING ChangeLog INSTALL NEWS README $docdir
cd doc
for i in `find . -type d`; do mkdir -p $docdir/$i; done
for i in `find . -type f -regex '.*html'`; do cp $i $docdir/$i; done
for i in `find . -type f -regex '.*gif'`; do cp $i $docdir/$i; done
for i in `find . -type f -regex '.*css'`; do cp $i $docdir/$i; done
unset docdir
cd $olddir
unset olddir

cd $RPM_BUILD_ROOT
find . -type d | sed -e '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
       -e '/\/etc\//s|^|%config|' \
       -e '/\/config\//s|^|%config|' \
       -e '/\/usr\/doc\//s|^|%doc|' \
       >> $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed -e 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%defattr(-,root,root,0755)

%changelog
* Thu Apr 20 2000 <ghibo@mandrakesoft.com> 1.8.7-1mdk
- updated version.

* Sat Apr 15 2000 <ghibo@mandrakesoft.com> 1.8.3-1mdk
- updated to new version.
- fixed group.

* Tue Oct 19 1999 <lenny@mandrakesoft.com>
- Specfile adaptation.
- First pasckage for Mandrake
